Documents

Option Value Delete

DELETE
/documents/option/{optionValueGuid}/delete

Deletes a single option value by its GUID.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

optionValueGuid*string

GUID of the option value to delete.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/documents/option/c9bf9e57-1685-4c89-bafb-ff5af830be8a/delete"
{  "result": {    "data": {      "optionValueGuid": "c9bf9e57-1685-4c89-bafb-ff5af830be8a",      "message": "Option value deleted successfully."    },    "statusCode": 200,    "message": "OK"  },  "origin": "DELETE https://api.doctavian.com/v1/documents/option/{optionValueGuid}/delete",  "dateTime": "2026-07-14T09:30:00.000Z",  "operationId": "a66b5cf45862123fa810c427237d5755",  "userId": "385cbcb2-0947-4531-b034-f652d7d34ff9"}
{  "userId": "84ee651f-2c26-4d3d-a040-de37b6424cc9",  "error": {    "statusCode": 400,    "message": "Name is required.",    "innerErrors": [      {        "code": "DATA_NAME_REQUIRED",        "message": "Name is required.",        "userMessage": "Name is required."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/option/{optionValueGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "cf56c52ffd8042bc2119c7bf3edab588"}
{  "error": {    "statusCode": 401,    "message": "The request could not be authenticated.",    "innerErrors": [      {        "code": "UNAUTHORIZED",        "message": "The request could not be authenticated.",        "userMessage": "Your session has expired or is invalid. Please sign in again."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/option/{optionValueGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "d90bf4b9150777aa2a381efea257d061",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "error": {    "statusCode": 404,    "message": "The requested resource was not found.",    "innerErrors": [      {        "code": "NOT_FOUND_BY_ID",        "message": "The requested resource was not found.",        "userMessage": "We couldn't find that resource. Check the id and try again."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/option/{optionValueGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "a9394d62f529cac39367d7e497251142",  "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}
{  "userId": "681be790-e4fa-4739-be4b-6e39cee9af08",  "error": {    "statusCode": 500,    "message": "An unexpected error occurred.",    "innerErrors": [      {        "code": "GET_DATA_SOURCE_ERROR",        "message": "An unexpected error occurred.",        "userMessage": "An unexpected error occurred."      }    ]  },  "origin": "DELETE https://api.doctavian.com/v1/documents/option/{optionValueGuid}/delete",  "dateTime": "2026-01-02T12:34:56.000Z",  "operationId": "8ab3b46c9aceaaca07dd4ef945504cc7"}